<?php
/**
 * The main template file.
 *
 * This is the most generic template file in a WordPress theme
 * and one of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * E.g., it puts together the home page when no home.php file exists.
 * Learn more: http://codex.wordpress.org/Template_Hierarchy
 *
 * @package Blogwise
 */

get_header(); ?>

	<div id="primary" class="content-area">
		<main id="main" class="site-main" role="main">

      <div class="hide-slide" <?php echo ( get_theme_mod( 'hide_slider' ) ) ? "style='display:none;'" : "" ?>>
       <ul class="rslides">
       <?php /* tutorial is here http://wordpress.boomvisibility.com/build-light-weight-slider-custom-post-type/ */ ?>
       <?php $my_secondary_loop = new WP_Query('post_type=slides');
        if( $my_secondary_loop->have_posts() ): while( $my_secondary_loop->have_posts() ): $my_secondary_loop->the_post(); ?>
        <li>
        <div class="slider-overlay">
        <div class="slider-content">
        <h2 class="slider-title"><?php the_title(); ?></h2>
        <?php the_content(); ?>
       </div>
       </div>
	   <?php the_post_thumbnail('homepage-slider');   ?>
       </li>
       
    <?php endwhile; ?>
      </ul>
    <ul id="rslides-pager">
    <?php while( $my_secondary_loop->have_posts() ): $my_secondary_loop->the_post(); ?>
      <li class="slidebtn"><a href="#">&nbsp;</a></li>  
     <?php endwhile; ?>
     </ul>
     <?php endif; wp_reset_postdata(); ?>
     
     </div>
     

		<?php if ( have_posts() ) : ?>

			<?php /* Start the Loop */ ?>
			<?php while ( have_posts() ) : the_post(); ?>

				<?php
					/* Include the Post-Format-specific template for the content.
					 * If you want to override this in a child theme, then include a file
					 * called content-___.php (where ___ is the Post Format name) and that will be used instead.
					 */
					get_template_part( 'content', get_post_format() );
				?>

			<?php endwhile; ?>

           
			<?php wpbeginner_numeric_posts_nav(); ?>

		<?php else : ?>

			<?php get_template_part( 'no-results', 'index' ); ?>

		<?php endif; ?>


		</main><!-- #main -->
	</div><!-- #primary -->


<?php get_sidebar(); ?>
<?php get_footer(); ?>